Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.picocontainer.injectors
Class ConstructorInjectionTestCase

    java.lang.Object
      org.picocontainer.tck.AbstractComponentFactoryTest
          org.picocontainer.injectors.ConstructorInjectionTestCase

    public class ConstructorInjectionTestCase

extends AbstractComponentFactoryTest

Author:
  Mauro Talevi

Field Summary

Fields inherited from class org.picocontainer.tck.AbstractComponentFactoryTest
`picoContainer`

Constructor Summary
`ConstructorInjectionTestCase()`

Method Summary
`protected org.picocontainer.ComponentFactory` | `createComponentFactory()`
`void` | `setUp()`
`void` | `testCustomLifecycleCanBeInjected()`

Methods inherited from class org.picocontainer.tck.AbstractComponentFactoryTest
`testEquals, testRegisterComponent, testUnregisterComponent`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConstructorInjectionTestCase

    public ConstructorInjectionTestCase()

Method Detail

### setUp

    public void setUp()
               throws Exception

  Overrides:
    `setUp` in class `AbstractComponentFactoryTest`
  Throws:
    `Exception`

### createComponentFactory

    protected org.picocontainer.ComponentFactory createComponentFactory()

  Specified by:
    `createComponentFactory` in class `AbstractComponentFactoryTest`

### testCustomLifecycleCanBeInjected

    public void testCustomLifecycleCanBeInjected()
                                          throws NoSuchMethodException

  Throws:
    `NoSuchMethodException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 Codehaus. All Rights Reserved.